import lambda = require('@aws-cdk/aws-lambda');
import sfn = require('@aws-cdk/aws-stepfunctions');
/**
 * A StepFunctions Task to invoke a Lambda function.
 *
 * A Function can be used directly as a Resource, but this class mirrors
 * integration with other AWS services via a specific class instance.
 */
export declare class InvokeFunction implements sfn.IStepFunctionsTask {
    private readonly lambdaFunction;
    constructor(lambdaFunction: lambda.IFunction);
    bind(_task: sfn.Task): sfn.StepFunctionsTaskProperties;
}
